Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039258
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2018-09-10 18:002019-09-23 14:02
ReporterngarciaView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision5ab1f945861a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039258: Group by option is not supported in columns that belong to Pick and Edit window in Process Definition

DescriptionGroup by option is not supported in columns that belong to Pick and Edit window in Process Definition
Steps To ReproduceAs group admin role:
   Create a new Payment In header
   Click on Add Details
   Clear the filters in order to have records on the grid

   Right click on Business Partner column and select 'Group by Business Partner'
   Check the name is shown in the first column and it cannot be expanded so the name cannot be shown (attached a screenshot)

   Check you cannot select any record
Proposed SolutionIn case the option of Group By Column does not make sense in this type of windows it should be removed from the menu
TagsNo tags attached.
Attached Filespng file icon GroupByPE.png [^] (121,473 bytes) 2018-09-10 18:00

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114640)
hgbot (developer)
2019-09-18 14:57

Repository: erp/devel/pi
Changeset: 5ab1f945861a876f46e09a51c05e97ae1d0edb51
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Fri Aug 30 15:03:24 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ab1f945861a876f46e09a51c05e97ae1d0edb51 [^]

fixes issue 39258: Removes group by option in columns from pick and edit grid

Group by columns in Pick and Edit windows is not supported, it has been removed from context menu.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0114641)
AugustoMauch (developer)
2019-09-18 14:58

Code reviewed and verified
(0114727)
hudsonbot (developer)
2019-09-23 14:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1a0e045ce34f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-10 18:00 ngarcia New Issue
2018-09-10 18:00 ngarcia Assigned To => platform
2018-09-10 18:00 ngarcia File Added: GroupByPE.png
2018-09-10 18:00 ngarcia Modules => Core
2018-09-10 18:00 ngarcia Triggers an Emergency Pack => No
2018-09-10 18:02 ngarcia Proposed Solution updated
2018-09-10 18:02 ngarcia Issue Monitored: networkb
2019-08-30 13:34 cberner Assigned To platform => cberner
2019-08-30 15:04 cberner Status new => scheduled
2019-08-30 15:04 cberner Review Assigned To => AugustoMauch
2019-09-18 14:57 hgbot Checkin
2019-09-18 14:57 hgbot Note Added: 0114640
2019-09-18 14:57 hgbot Status scheduled => resolved
2019-09-18 14:57 hgbot Resolution open => fixed
2019-09-18 14:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ab1f945861a876f46e09a51c05e97ae1d0edb51 [^]
2019-09-18 14:58 AugustoMauch Note Added: 0114641
2019-09-18 14:58 AugustoMauch Status resolved => closed
2019-09-18 14:58 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-09-23 14:02 hudsonbot Checkin
2019-09-23 14:02 hudsonbot Note Added: 0114727


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker